﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Telerik.Charting;
using Telerik.WinControls.UI;


namespace BugHunt20130701
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            radChartView1.ShowPanZoom = true;
        }

        private void LoadChart()
        {
  
            radChartView1.Series.Clear();
            //this.radChartView1.Axes.Purge();
            DateTimeCategoricalAxis dateAxis = this.radChartView1.Axes[1] as DateTimeCategoricalAxis;
            LinearAxis minutesAxis = this.radChartView1.Axes[0] as LinearAxis;

            int i = 0;
            int j = 0;
            for (j = 0; j < 5; j++)
            {
                BarSeries bs = new BarSeries();
                bs.Name = "BarSeries" + j.ToString();
                bs.LegendTitle = "Bar Series " + j.ToString();
                bs.HorizontalAxis = dateAxis;
                bs.VerticalAxis = minutesAxis;
                radChartView1.Series.Add(bs);
            
                DateTime start = DateTime.Parse("2010-01-01");
                Random rnd = new Random();
                for (i = 0; i < 100; i++)
                {
                    if (i % (j + 1) != 0)
                    {
                        DateTime day = start + TimeSpan.FromDays(i);
                        bs.DataPoints.Add(new CategoricalDataPoint(rnd.NextDouble() * 100, day));
                    }

                }
            }


            dateAxis.LabelFitMode = AxisLabelFitMode.Rotate;
            dateAxis.LabelFormat = "{0:d}";
            dateAxis.PlotMode = AxisPlotMode.OnTicksPadded;


            dateAxis.LabelInterval = 5;

            radChartView1.Refresh();

        }

        private void radPageView1_SelectedPageChanged(object sender, EventArgs e)
        {
            if (radPageView1.SelectedPage == radPageViewPage2)
            {
                LoadChart();
            }
        }
      
    }
}
